#! /bin/sh

# This script is responsible for creating a date stamp.
# It should be installed in your voice directory once you got
# it working correctly.
#
# Input: a filename, passed as $1
#
# Output: a voice file on STDOUT, e.g. adpcm4
#
# This implementation uses GNU find and the rsynth synthesizer.

AMP=3.5

MSG=`find $1 -printf 'This message was recorded on %TA, %TB %Td, at %Tk %TM.\n'`

#
# This is for Zyxel modems. Despite the "rock" bit.
#
say "$MSG" -r 9600 -L -l - | lintopvf | pvfcut -0.5 0 | pvfamp $AMP | \
 pvftozyxel4

#
# This is for Rockwell based modems.
#
# say "$MSG" -a -r 9600 -l - 2>/dev/null | lintopvf -signed -16i | \
#  pvfamp $AMP | pvftoau | sox -t au - -r 7200 -t au - | sndtorock4

#
# The above line works for me with sox-11gamma-cb2 and rsynth-2.0,
# both of them straight out of the box, no vgetty specific patches
# applied or required. In particular, lintopvf needed exactly the
# mentioned switches. Thus, I am suspicious whether the above line for
# Zyxels would work like that with lintopvf and rsynth-2.0.
# Comments, anyone ?
#                      Peter Jaeckel, Mon Dec 16 17:05:34 1996
